Package com.macrofocus.high_d

# Class HighDFactory<Component,Color,Font,Format,Row,Column,Value>

java.lang.Object
com.macrofocus.high_d.HighDFactory<Component,Color,Font,Format,Row,Column,Value>

Type Parameters:
  `Component` - the type of native components
  `Row` - type type of rows
  `Column` - the type of columns

Direct Known Subclasses:
  `JavaFXHighDFactory`

public abstract class HighDFactory<Component,Color,Font,Format,Row,Column,Value> extends Object
Factory to ease the creation of the High-D components. A single factory will creates visual components that share visual state such as probing, selection, filtering, colors, etc.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected com.macrofocus.molap.dataframe.DataFrame<?,Column,?>`
  `annotationDataFrame`
  `protected com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column>`
  `axisHierarchy`
  `protected com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value>`
  `dataFrame`
  `protected com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column>`
  `filtersAxisHierarchy`
  `protected HighDSettings<Color,?>`
  `settings`
  `protected com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value>`
  `subsetDataFrame`
  `protected com.macrofocus.visual.Visual<Color,Row,Column>`
  `visual`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `HighDFactory(com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)`
  `protected`
  `HighDFactory(com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)`
  `protected`
  `HighDFactory(com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)`
  `protected`
  `HighDFactory(HighDSettings<Color,Font> settings, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory cpFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract BarChart<Component,Color,Row,Column>`
  `createBarChart()`
  `protected BarChartModel<Color,Row,Column>`
  `createBarChartModel()`
  `abstract <Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<Component,Color>`
  `createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.MultiBinningDimension.MultiBinningStrategy<Row,Bin> binningStrategy)`
  `abstract <Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<Component,Color>`
  `createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.SingleBinningDimension.SingleBinningStrategy<Row,Bin> binningStrategy)`
  `abstract com.macrofocus.high_d.filters.CategoricalFilterComponent<Component,Color>`
  `createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Value> reducer)`
  `abstract Clustering<Component,Color,Row,Column>`
  `createClustering()`
  `protected com.macrofocus.molap.subset.SingleBinningDimension<Row,?>`
  `createClusteringModel()`
  `abstract ControlChart<Component,Color,Font,Row,Column>`
  `createControlChart()`
  Creates a control chart.
  `ControlChartScatterPlotModel<Color,Row,Column>`
  `createControlCharttModel()`
  `abstract Details<Component,Color,Row,Column>`
  `createDetails()`
  `abstract Distributions<Component,Color,Row,Column,Value,?>`
  `createDistributions()`
  Creates a distributions plot.
  `<Bin> DistributionsModel<Color,Row,Column,Value,Bin>`
  `createDistributionsModel()`
  `abstract CPExecutor`
  `createExecutor()`
  Creates a multidimensional scaling plot.
  `abstract com.macrofocus.high_d.filters.Filters<Component,Color,Row,Column,Value>`
  `createFilters()`
  `abstract HeatMap<Component,Color,Row,Column>`
  `createHeatMap()`
  `protected HeatMapModel<Color,Row,Column>`
  `createHeatMapModel()`
  `abstract <Row, Column, Value>
  HighDFactory<Component,Color,Font,Format,Row,Column,Value>`
  `createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)`
  `abstract HighDFactory<Component,Color,Font,Format,Row,Column,Value>`
  `createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)`
  `abstract ListView<Component,Integer,String>`
  `createList(Column column)`
  `abstract MDS<Component,Color,Font,Row,Column>`
  `createMDS()`
  Creates a MDS
  `abstract MDSScatterPlotModel<Color,Row,Column>`
  `createMDSModel()`
  `com.macrofocus.high_d.filters.OrdinalFilterComponent<Component,Color,Format>`
  `createOrdinalFilter(Column column)`
  `abstract com.macrofocus.high_d.filters.OrdinalFilterComponent<Component,Color,Format>`
  `createOrdinalFilter(Column column, com.macrofocus.format.CPFormat format, int visibleLength)`
  `abstract ParallelCoordinates<Component,Color,Row,Column>`
  `createParallelCoordinates()`
  Creates a parallel coordinates plot.
  `abstract ParallelCoordinatesMatrix<Component,Color,Row,Column>`
  `createParallelCoordinatesMatrix()`
  Creates a parallel coordinates matrix plot.
  `ParallelCoordinatesMatrixModel<Color,Row,Column>`
  `createParallelCoordinatesMatrixModel()`
  `abstract Regression<Component,Color,Row,Column>`
  `createRegression()`
  `abstract ScatterPlot<Component,Color,Font,Row,Column>`
  `createScatterPlot()`
  Creates a scatter plot.
  `abstract ScatterPlot<Component,Color,Font,Row,Column>`
  `createScatterPlot(ScatterPlotModel<Color,Row,Column> model)`
  Creates a scatter plot.
  `abstract ScatterPlotMatrix<Component,Color,Row,Column>`
  `createScatterPlotMatrix()`
  Creates a scatter plot matrix.
  `ScatterPlotMatrixModel<Color,Row,Column>`
  `createScatterPlotMatrixModel()`
  `ScatterPlotModel<Color,Row,Column>`
  `createScatterPlotModel()`
  `abstract SOM<Component,Color,Row,Column>`
  `createSOM()`
  `protected SOMModel<Color,Row,Column>`
  `createSOMModel()`
  `abstract Statistics<Component,Color,Format,Row,Column,Value>`
  `createStatistics()`
  Creates a statistic table.
  `abstract Table<Component,Color,Format,Row,Column,Value>`
  `createTable()`
  Creates a table.
  `abstract <Row, Column, Value>
  Table<Component,Color,Format,Row,Column,Value>`
  `createTable(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)`
  `abstract TableLens<Component,Color,Row,Column>`
  `createTableLens()`
  Creates a tables lens.
  `TableLensModel<Color,Row,Column>`
  `createTableLensModel()`
  `protected void`
  `customizeBarChart(BarChart<Component,Color,Row,Column> barChart)`
  `protected void`
  `customizeCategoricalFilterComponent(com.macrofocus.high_d.filters.CategoricalFilterComponent<Component,Color> categoricalFilterComponent)`
  `protected void`
  `customizeControlChart(ControlChart<Component,Color,Font,Row,Column> controlChart)`
  `protected void`
  `customizeDistribution(Distributions<Component,Color,Row,Column,Value,?> distributions)`
  `void`
  `customizeFilters(com.macrofocus.high_d.filters.Filters<Component,Color,Row,Column,Value> filters)`
  `protected void`
  `customizeHeatMap(HeatMap<Component,Color,Row,Column> heatMap)`
  `protected void`
  `customizeMDS(MDS<Component,Color,Font,Row,Column> mds)`
  `protected void`
  `customizeParallelCoordinates(ParallelCoordinates<Component,Color,Row,Column> parallelCoordinates)`
  `protected void`
  `customizeParallelCoordinatesMatrix(ParallelCoordinatesMatrix<Component,Color,Row,Column> parallelCoordinatesMatrix)`
  `protected void`
  `customizeScatterPlot(ScatterPlot<Component,Color,Font,Row,Column> scatterPlot)`
  `protected void`
  `customizeScatterPlotMatrix(ScatterPlotMatrix<Component,Color,Row,Column> scatterPlotMatrix)`
  `protected void`
  `customizeSOM(SOM<Component,Color,Row,Column> som)`
  `protected void`
  `customizeStatistics(Statistics<Component,Color,Format,Row,Column,Value> statistics)`
  `protected void`
  `customizeTable(Table<Component,Color,Format,Row,Column,Value> table)`
  `protected void`
  `customizeTableLens(TableLens<Component,Color,Row,Column> tableLens)`
  `HighDFactory<Component,Color,?,Format,Row,Column,Value>`
  `forColumns(Column... columns)`
  `HighDFactory<Component,Color,Font,Format,Row,Column,Value>`
  `forColumns(Iterable<Column> columns)`
  `MutableProperty<Boolean>`
  `getAllowScrolling()`
  `com.macrofocus.molap.dataframe.DataFrame<?,Column,?>`
  `getAnnotationDataFrame()`
  Returns the data frame holding the annotation data.
  `MutableProperty<Boolean>`
  `getAntialiasing()`
  `com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column>`
  `getAxisHierarchy()`
  Returns the hierarchy of axes.
  `com.macrofocus.colormap.ColorMapFactory<Color>`
  `getColorMapFactory()`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  `com.macrofocus.crossplatform.CPFactory<Component,Font,?,Color>`
  `getCPFactory()`
  `com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value>`
  `getDataFrame()`
  Returns the data frame containing the data.
  `com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column>`
  `getFiltersAxisHierarchy()`
  Returns the hierarchy of axes for the filters.
  `MutableProperty<Geometry>`
  `getGeometry()`
  `MutableProperty<com.macrofocus.high_d.interaction.InteractionMode>`
  `getInteractionMode()`
  `MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering>`
  `getRendering()`
  `MutableProperty<Boolean>`
  `getShowFiltered()`
  `com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value>`
  `getSubsetDataFrame()`
  `com.macrofocus.visual.Visual<Color,Row,Column>`
  `getVisual()`
  Returns the visual context holding information about the interactive state.
  `void`
  `setAnnotationDataFrame(com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame)`
  `void`
  `setAxisHierarchy(com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy)`
  Sets the hierarchy of axes for the various plots.
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  `void`
  `setDataFrame(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)`
  Sets the data frame holding the data.
  `void`
  `setDataFrame(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy)`
  `void`
  `setDataFrame(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)`
  Sets the data frame holding the data.
  `void`
  `setFiltersAxisHierarchy(com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy)`
  Sets the hierarchy of axes for the filters.
  `void`
  `setInteractionMode(MutableProperty<com.macrofocus.high_d.interaction.InteractionMode> interactionMode)`
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitles the use of the High-D API.
  `void`
  `setSettings(HighDSettings settings)`
  `void`
  `setSubsetDataFrame(com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame)`
  `void`
  `setVisual(com.macrofocus.visual.Visual<Color,Row,Column> visual)`
  Sets the visual context.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### settings

    protected HighDSettings<Color,?> settings

  - ### dataFrame

    protected com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame

  - ### subsetDataFrame

    protected com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame

  - ### annotationDataFrame

    protected com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame

  - ### visual

    protected com.macrofocus.visual.Visual<Color,Row,Column> visual

  - ### axisHierarchy

    protected com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy

  - ### filtersAxisHierarchy

    protected com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy

- ## Constructor Details

  - ### HighDFactory

    protected HighDFactory(HighDSettings<Color,Font> settings, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory cpFactory)

  - ### HighDFactory

    protected HighDFactory(com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)

  - ### HighDFactory

    protected HighDFactory(com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)

  - ### HighDFactory

    protected HighDFactory(com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)

- ## Method Details

  - ### getShowFiltered

    public MutableProperty<Boolean> getShowFiltered()

  - ### getAntialiasing

    public MutableProperty<Boolean> getAntialiasing()

  - ### getRendering

    public MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> getRendering()

  - ### getColorTheme

    public MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()

  - ### getGeometry

    public MutableProperty<Geometry> getGeometry()

  - ### setColorTheme

    public void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)

  - ### getInteractionMode

    public MutableProperty<com.macrofocus.high_d.interaction.InteractionMode> getInteractionMode()

  - ### setInteractionMode

    public void setInteractionMode(MutableProperty<com.macrofocus.high_d.interaction.InteractionMode> interactionMode)

  - ### getAllowScrolling

    public MutableProperty<Boolean> getAllowScrolling()

  - ### createHighDFactory

    public abstract <Row, Column, Value> HighDFactory<Component,Color,Font,Format,Row,Column,Value> createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)

  - ### createHighDFactory

    public abstract HighDFactory<Component,Color,Font,Format,Row,Column,Value> createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)

  - ### forColumns

    public HighDFactory<Component,Color,?,Format,Row,Column,Value> forColumns(Column... columns)

  - ### forColumns

    public HighDFactory<Component,Color,Font,Format,Row,Column,Value> forColumns(Iterable<Column> columns)

  - ### getColorMapFactory

    public com.macrofocus.colormap.ColorMapFactory<Color> getColorMapFactory()

  - ### getCPFactory

    public com.macrofocus.crossplatform.CPFactory<Component,Font,?,Color> getCPFactory()

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitles the use of the High-D API. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### getDataFrame

    public com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> getDataFrame()
    Returns the data frame containing the data.
    Returns:
      a data frame

  - ### getVisual

    public com.macrofocus.visual.Visual<Color,Row,Column> getVisual()
    Returns the visual context holding information about the interactive state.
    Returns:
      the visual context

  - ### getAxisHierarchy

    public com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> getAxisHierarchy()
    Returns the hierarchy of axes.
    Returns:
      the hierarchy

  - ### getFiltersAxisHierarchy

    public com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> getFiltersAxisHierarchy()
    Returns the hierarchy of axes for the filters.
    Returns:
      the hierarchy

  - ### setDataFrame

    public void setDataFrame(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)
    Sets the data frame holding the data.
    Parameters:
      `dataFrame` - the data frame

  - ### setDataFrame

    public void setDataFrame(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)
    Sets the data frame holding the data.
    Parameters:
      `dataFrame` - the data frame

  - ### setDataFrame

    public void setDataFrame(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy)

  - ### getAnnotationDataFrame

    public com.macrofocus.molap.dataframe.DataFrame<?,Column,?> getAnnotationDataFrame()
    Returns the data frame holding the annotation data.
    Returns:
      the annotation data frame

  - ### setAnnotationDataFrame

    public void setAnnotationDataFrame(com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame)

  - ### getSubsetDataFrame

    public com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> getSubsetDataFrame()

  - ### setSubsetDataFrame

    public void setSubsetDataFrame(com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame)

  - ### setVisual

    public void setVisual(com.macrofocus.visual.Visual<Color,Row,Column> visual)
    Sets the visual context.
    Parameters:
      `visual` - the visual context

  - ### setAxisHierarchy

    public void setAxisHierarchy(com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy)
    Sets the hierarchy of axes for the various plots.
    Parameters:
      `axisHierarchy` - the hierarchy

  - ### setFiltersAxisHierarchy

    public void setFiltersAxisHierarchy(com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy)
    Sets the hierarchy of axes for the filters.
    Parameters:
      `axisHierarchy` - the hierarchy

  - ### createParallelCoordinates

    public abstract ParallelCoordinates<Component,Color,Row,Column> createParallelCoordinates()
    Creates a parallel coordinates plot.
    Returns:
      a parallel coordinates plot

  - ### customizeParallelCoordinates

    protected void customizeParallelCoordinates(ParallelCoordinates<Component,Color,Row,Column> parallelCoordinates)

  - ### createParallelCoordinatesMatrix

    public abstract ParallelCoordinatesMatrix<Component,Color,Row,Column> createParallelCoordinatesMatrix()
    Creates a parallel coordinates matrix plot.
    Returns:
      a parallel coordinates matrix plot

  - ### customizeParallelCoordinatesMatrix

    protected void customizeParallelCoordinatesMatrix(ParallelCoordinatesMatrix<Component,Color,Row,Column> parallelCoordinatesMatrix)

  - ### createParallelCoordinatesMatrixModel

    public ParallelCoordinatesMatrixModel<Color,Row,Column> createParallelCoordinatesMatrixModel()

  - ### createTableLens

    public abstract TableLens<Component,Color,Row,Column> createTableLens()
    Creates a tables lens.
    Returns:
      a tables lens

  - ### createTableLensModel

    public TableLensModel<Color,Row,Column> createTableLensModel()

  - ### customizeTableLens

    protected void customizeTableLens(TableLens<Component,Color,Row,Column> tableLens)

  - ### createScatterPlot

    public abstract ScatterPlot<Component,Color,Font,Row,Column> createScatterPlot()
    Creates a scatter plot.
    Returns:
      a scatter plot

  - ### createScatterPlot

    public abstract ScatterPlot<Component,Color,Font,Row,Column> createScatterPlot(ScatterPlotModel<Color,Row,Column> model)
    Creates a scatter plot.
    Returns:
      a scatter plot

  - ### customizeScatterPlot

    protected void customizeScatterPlot(ScatterPlot<Component,Color,Font,Row,Column> scatterPlot)

  - ### createScatterPlotModel

    public ScatterPlotModel<Color,Row,Column> createScatterPlotModel()

  - ### createMDS

    public abstract MDS<Component,Color,Font,Row,Column> createMDS()
    Creates a MDS
    Returns:
      a MDS

  - ### customizeMDS

    protected void customizeMDS(MDS<Component,Color,Font,Row,Column> mds)

  - ### createMDSModel

    public abstract MDSScatterPlotModel<Color,Row,Column> createMDSModel()

  - ### createControlChart

    public abstract ControlChart<Component,Color,Font,Row,Column> createControlChart()
    Creates a control chart.
    Returns:
      a control chart

  - ### customizeControlChart

    protected void customizeControlChart(ControlChart<Component,Color,Font,Row,Column> controlChart)

  - ### createControlCharttModel

    public ControlChartScatterPlotModel<Color,Row,Column> createControlCharttModel()

  - ### createScatterPlotMatrix

    public abstract ScatterPlotMatrix<Component,Color,Row,Column> createScatterPlotMatrix()
    Creates a scatter plot matrix.
    Returns:
      a scatter plot matrix

  - ### customizeScatterPlotMatrix

    protected void customizeScatterPlotMatrix(ScatterPlotMatrix<Component,Color,Row,Column> scatterPlotMatrix)

  - ### createScatterPlotMatrixModel

    public ScatterPlotMatrixModel<Color,Row,Column> createScatterPlotMatrixModel()

  - ### createExecutor

    public abstract CPExecutor createExecutor()
    Creates a multidimensional scaling plot.
    Returns:
      a multidimensional scaling plot

  - ### createDistributions

    public abstract Distributions<Component,Color,Row,Column,Value,?> createDistributions()
    Creates a distributions plot.
    Returns:
      a distributions plot

  - ### createDistributionsModel

    public <Bin> DistributionsModel<Color,Row,Column,Value,Bin> createDistributionsModel()

  - ### customizeDistribution

    protected void customizeDistribution(Distributions<Component,Color,Row,Column,Value,?> distributions)

  - ### createStatistics

    public abstract Statistics<Component,Color,Format,Row,Column,Value> createStatistics()
    Creates a statistic table.
    Returns:
      a statistic table

  - ### customizeStatistics

    protected void customizeStatistics(Statistics<Component,Color,Format,Row,Column,Value> statistics)

  - ### createTable

    public abstract Table<Component,Color,Format,Row,Column,Value> createTable()
    Creates a table.
    Returns:
      a table

  - ### createTable

    public abstract <Row, Column, Value> Table<Component,Color,Format,Row,Column,Value> createTable(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)

  - ### customizeTable

    protected void customizeTable(Table<Component,Color,Format,Row,Column,Value> table)

  - ### createList

    public abstract ListView<Component,Integer,String> createList(Column column)

  - ### createFilters

    public abstract com.macrofocus.high_d.filters.Filters<Component,Color,Row,Column,Value> createFilters()

  - ### customizeFilters

    public void customizeFilters(com.macrofocus.high_d.filters.Filters<Component,Color,Row,Column,Value> filters)

  - ### createCategoricalFilter

    public abstract com.macrofocus.high_d.filters.CategoricalFilterComponent<Component,Color> createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Value> reducer)

  - ### createCategoricalFilter

    public abstract <Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<Component,Color> createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.SingleBinningDimension.SingleBinningStrategy<Row,Bin> binningStrategy)

  - ### createCategoricalFilter

    public abstract <Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<Component,Color> createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.MultiBinningDimension.MultiBinningStrategy<Row,Bin> binningStrategy)

  - ### customizeCategoricalFilterComponent

    protected void customizeCategoricalFilterComponent(com.macrofocus.high_d.filters.CategoricalFilterComponent<Component,Color> categoricalFilterComponent)

  - ### createOrdinalFilter

    public com.macrofocus.high_d.filters.OrdinalFilterComponent<Component,Color,Format> createOrdinalFilter(Column column)

  - ### createOrdinalFilter

    public abstract com.macrofocus.high_d.filters.OrdinalFilterComponent<Component,Color,Format> createOrdinalFilter(Column column, com.macrofocus.format.CPFormat format, int visibleLength)

  - ### createSOM

    public abstract SOM<Component,Color,Row,Column> createSOM()

  - ### createSOMModel

    protected SOMModel<Color,Row,Column> createSOMModel()

  - ### customizeSOM

    protected void customizeSOM(SOM<Component,Color,Row,Column> som)

  - ### createBarChart

    public abstract BarChart<Component,Color,Row,Column> createBarChart()

  - ### createBarChartModel

    protected BarChartModel<Color,Row,Column> createBarChartModel()

  - ### createHeatMap

    public abstract HeatMap<Component,Color,Row,Column> createHeatMap()

  - ### customizeBarChart

    protected void customizeBarChart(BarChart<Component,Color,Row,Column> barChart)

  - ### createHeatMapModel

    protected HeatMapModel<Color,Row,Column> createHeatMapModel()

  - ### customizeHeatMap

    protected void customizeHeatMap(HeatMap<Component,Color,Row,Column> heatMap)

  - ### createDetails

    public abstract Details<Component,Color,Row,Column> createDetails()

  - ### createClustering

    public abstract Clustering<Component,Color,Row,Column> createClustering()

  - ### createClusteringModel

    protected com.macrofocus.molap.subset.SingleBinningDimension<Row,?> createClusteringModel()

  - ### createRegression

    public abstract Regression<Component,Color,Row,Column> createRegression()

  - ### setSettings

    public void setSettings(HighDSettings settings)